# ifndef GameTestCase_h
# define GameTestCase_h
#include "TestHeader.h"
# include "Game/Game.h"
class GameTestCase:
  public TestCase
{
public:
  GameTestCase (std::string name="") : TestCase (name) {}
  static Test		*suite ();
protected:
  void initialPosition();
  void color();
  void simpleMove();
  void moveGeneration();
  void isAttacked();
  void knightAttacks();
  void kingAttacks();
  void pawnAttacks();
  void recapture();
  void testEPDString();
};
#endif
